# ImeMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies a value that determines the Input Method Editor (IME) status of an object when the object is selected.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ImeMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ImeMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                                                                              |
| ------------ | ------------------------------------------------------------------------------------------------------------------------ |
| **Active**   | The input method editor is initially active; text entry is performed using it unless the user specifically dismisses it. |
| **Auto**     | No change is made to the current input method editor state. (Default)                                                    |
| **Disabled** | The input method editor is disabled and may not be activated by the user .                                               |
| **Inactive** | The input method editor is initially inactive, but the user may activate it if they wish.                                |
| **Inherit**  | Inherits the IME mode of the parent control.                                                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.imemode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
